fop 2.3

## org.apache.fop.render
Class AbstractRendererConfigurator

    java.lang.Object
      org.apache.fop.render.AbstractRendererConfigurator

Direct Known Subclasses:
  PrintRendererConfigurator, XMLHandlerConfigurator

    public abstract class AbstractRendererConfigurator

extends java.lang.Object

Abstract base classes for renderer-related configurator classes. This class basically just provides an accessor to the specific renderer configuration object.

Field Summary
`protected FOUserAgent` `userAgent` fop factory configuration

Constructor Summary
`AbstractRendererConfigurator(FOUserAgent userAgent)` Default constructor

Method Summary
`static java.lang.String` `getType()` Returns the configurator type

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### userAgent

    protected final FOUserAgent userAgent

  fop factory configuration

Constructor Detail

### AbstractRendererConfigurator

    public AbstractRendererConfigurator(FOUserAgent userAgent)

  Default constructor

  Parameters:
    `userAgent` - user agent

Method Detail

### getType

    public static java.lang.String getType()

  Returns the configurator type

  Returns:
    the configurator type

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.